:root {
  --primary-color: #ffffff;
  --Navbar-color: #f1efec;
  --black-color: #000000;
  --main-color: #123458;
  --boxshadow-color: rgba(149, 157, 165, 1);
  --border-color: #521c0d;
  --secondary-color: #d4c9be;
}
* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}
h1,
h2,
h5,
h3,
p.follow-us {
  color: var(--main-color);
}
h1,
h2,
h3,
h4,
h5,
h6,
a {
  font-family: "Roboto", sans-serif;
}
p,
span {
  font-family: "Rubik", sans-serif;
}
p {
  color: var(--main-color);
  opacity: 0.8;
}
.navbar {
  background-color: var(--Navbar-color);
  color: var(--main-color);
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: sticky;
  top: 0;
  z-index: 100;
}

.menu {
  display: flex;
  gap: 1.5rem;
}

.menu a {
  color: var(--main-color);
  text-decoration: none;
  font-weight: 600;
  transition: all 0.3s ease;
}

/* Active link style */
.menu a.active,
.sidebar a.active {
  color: var(--primary-color);
  background-color: var(--main-color);
  border-radius: 4px;
}

.hamburger {
  display: none;
  cursor: pointer;
}
.sidebar {
  position: fixed;
  top: 4.5rem;
  right: 0;
  width: 50%;
  background-color: var(--Navbar-color);
  padding: 1rem;
  display: none;
  flex-direction: column;
  gap: 1rem;
  z-index: 100;
  height: calc(100% - 4.5rem);
}

.sidebar a {
  color: var(--main-color);
  text-decoration: none;
  font-size: 1.1rem;

  transition: all 0.3s ease;
}
.sidebar-social {
  bottom: 10%;
}

@media (max-width: 768px) {
  .menu {
    display: none;
  }

  .hamburger {
    display: block;
  }

  .sidebar.active {
    display: flex;
  }
}

/* home container start */
.homepage-container {
  height: 31vw;
}
.main-image {
  width: 100%;
}
.main-content {
  position: absolute;
  top: 15vw;
  left: 2%;
}

.main-heading {
  font-size: 2.75em;
  font-weight: 600;
  margin-bottom: 0.3em;
  color: var(--main-color);
}

@media only screen and (max-width: 566px) {
  .main-content {
    top: 6.7em;
  }
  .main-heading {
    font-size: 1.2rem;
  }
}

@media only screen and (min-width: 566px) and (max-width: 767px) {
  .main-content {
    top: 9em;
  }

  .main-heading {
    font-size: 2.1rem;
  }
}
@media only screen and (min-width: 767px) and (max-width: 991px) {
  .main-heading {
    font-size: 2rem;
    margin-bottom: 0.2em;
  }
  .main-content {
    top: 9em;
  }
}

button {
  border: none;
  background-color: var(--main-color) !important;
  width: 100px;
  height: 45px;
  color: var(--primary-color);
  border-radius: 6px;
}
@media (max-width: 566px) {
 button {
    width: 95px;
    height: 35px;
  }
   h1 {
    font-size: 1.3rem;
  }
}

.footer {
  background-color: var(--Navbar-color);
}

@media (max-width: 767px) {
  .footer {
    flex-direction: column !important;
  }
}
.footer-social p img {
  transition: transform 0.3s ease;
}

.footer-social p img:hover {
  transform: scale(1.2);
}
#social-links a {
  margin: .15rem;
}
.footer a{
 color: var(--main-color);
  opacity: 0.8;
}
#social-links a img {
  transition: transform 0.3s ease; 
}
#social-links a img:hover {
  transform: scale(1.2);
}

.about-section {
  width: 100%;
}
.about-section h5 {
  color: var(--main-color);
}
.about-section p {
  margin-bottom: 0 !important;
}

@media (min-width: 320px) and (max-width: 768px) {
  .about-images-section img {
    max-width: 100%;
  }
}
.about-detail {
  border: 1px solid var(--main-color);
  border-radius: 6px;
}
.customer-support {
  background-color: var(--Navbar-color);
}

@media (max-width: 567px) {
  .customer-support div img {
    width: 60px;
    height: 60px;
  }
}

.hover-container {
  position: relative;
  text-align: center;
  cursor: pointer;
  height: 230px;
  border-radius: 10px;
  border: none;
  
}
.hover-container img, .hover-name ,.category-images img {
    width: 100%;
    height: 100%;
}

.hover-name {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: rgba(0, 0, 0, 0.4);
  color: var(--primary-color);
  opacity: 0;
  transition: opacity 0.3s ease;
  width: 100%;
  height: 100%;
  border-radius: 10px;
}
.hover-container:hover .hover-name {
  opacity: 1;
}

.row {
  --bs-gutter-x: 0 !important;
}

.hover-container {
  height: 180px;
}

.swiper-container {
  width: 100%;
  overflow-y: hidden;
  
}
 .swiper-container::-webkit-scrollbar {
     display: none;
    }

.swiper-slide {
  overflow: hidden !important;
  text-align: center;
}
.swiper-slide img {
  width: 100%;
  border-radius: 8px;

  object-fit: cover;
}

